Package picard.illumina

## Class CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector

- java.lang.Object
- - picard.illumina.CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector

- Enclosing class:
    CollectIlluminaLaneMetrics

      public static class CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector
      extends Object

  Utility for collating Tile records from the Illumina TileMetrics file into lane-level and phasing-level metrics.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaLaneMetricsCollector()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---

    `static void`

    `collectLaneMetrics​(File runDirectory, File outputDirectory, String outputPrefix, htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> laneMetricsFile, htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> phasingMetricsFile, ReadStructure readStructure, String fileExtension, htsjdk.samtools.ValidationStringency validationStringency, boolean isNovaSeq)`

    Parses the tile data from the basecall directory and writes to both the lane and phasing metrics files

    `static Map<Integer,​? extends Collection<Tile>>` | `readLaneTiles​(File illuminaRunDirectory, ReadStructure readStructure, htsjdk.samtools.ValidationStringency validationStringency, boolean isNovaSeq)` | Returns a partitioned collection of lane number to Tile objects from the provided basecall directory.
    `static File` | `writeLaneMetrics​(Map<Integer,​? extends Collection<Tile>> laneTiles, File outputDirectory, String outputPrefix, htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> laneMetricsFile, String fileExtension)` |
    `static File` | `writePhasingMetrics​(Map<Integer,​? extends Collection<Tile>> laneTiles, File outputDirectory, String outputPrefix, htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> phasingMetricsFile, String fileExtension, boolean isNovaSeq)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaLaneMetricsCollector

          public IlluminaLaneMetricsCollector()

  - ### Method Detail

    - #### readLaneTiles

          public static Map<Integer,​? extends Collection<Tile>> readLaneTiles​(File illuminaRunDirectory,
                                                                                    ReadStructure readStructure,
                                                                                    htsjdk.samtools.ValidationStringency validationStringency,
                                                                                    boolean isNovaSeq)

      Returns a partitioned collection of lane number to Tile objects from the provided basecall directory.

    - #### collectLaneMetrics

          public static void collectLaneMetrics​(File runDirectory,
                                                File outputDirectory,
                                                String outputPrefix,
                                                htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> laneMetricsFile,
                                                htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> phasingMetricsFile,
                                                ReadStructure readStructure,
                                                String fileExtension,
                                                htsjdk.samtools.ValidationStringency validationStringency,
                                                boolean isNovaSeq)

      Parses the tile data from the basecall directory and writes to both the lane and phasing metrics files

    - #### writePhasingMetrics

          public static File writePhasingMetrics​(Map<Integer,​? extends Collection<Tile>> laneTiles,
                                                 File outputDirectory,
                                                 String outputPrefix,
                                                 htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> phasingMetricsFile,
                                                 String fileExtension,
                                                 boolean isNovaSeq)

    - #### writeLaneMetrics

          public static File writeLaneMetrics​(Map<Integer,​? extends Collection<Tile>> laneTiles,
                                              File outputDirectory,
                                              String outputPrefix,
                                              htsjdk.samtools.metrics.MetricsFile<htsjdk.samtools.metrics.MetricBase,​Comparable<?>> laneMetricsFile,
                                              String fileExtension)